<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:gri="http://java.sun.com/jsf/composite/gri">
    <s:decorate template="/layout/form/_checkbox.xhtml" rendered="#{advancedEdit}">
        <h:selectBooleanCheckbox value="#{addrToEdit.mainAddress}"/>
        #{messages['net.ihe.gazelle.patgen.PreferredAddress']}
    </s:decorate>
    <div class="row">
        <div class="col-md-4">
            <s:decorate template="/layout/form/_edit.xhtml"
                        rendered="#{advancedEdit}">
                <ui:param name="id" value="addrType"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.patgen.AddressType']}
                </ui:define>
                <h:selectOneMenu styleClass="form-control gzl-select-text" value="#{addrToEdit.addressType}"
                                 id="addrType">
                    <f:selectItems value="#{managerBean.getAvailableAddressTypes()}"/>
                </h:selectOneMenu>
            </s:decorate>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="streetinput"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.patgen.StreetAddressLine']}
                </ui:define>
                <h:inputText styleClass="form-control" value="#{addrToEdit.addressLine}" id="streetinput"/>
            </s:decorate>
        </div>
        <div class="col-md-2">
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="codeinput"/>
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.ZipCode']}
                </ui:define>
                <h:inputText styleClass="form-control" value="#{addrToEdit.zipCode}" id="codeinput"/>
            </s:decorate>
        </div>
        <div class="col-md-4">
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="cityinput"/>
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.City']}</ui:define>
                <h:inputText value="#{addrToEdit.city}" id="cityinput" styleClass="form-control"/>
            </s:decorate>
        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="inseeCodeinput"/>
                <ui:define name="label">#{messages['net.ihe.gazelle.patgen.INSEECode']}</ui:define>
                <h:inputText styleClass="form-control" value="#{addrToEdit.inseeCode}" id="inseeCodeinput"/>
            </s:decorate>
        </div>
        <div class="col-md-4">
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="stateinput"/>
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.State']}</ui:define>
                <h:inputText styleClass="form-control" value="#{addrToEdit.state}" id="stateinput"/>
            </s:decorate>
        </div>
        <div class="col-md-4">
            <s:decorate template="/layout/form/_edit.xhtml">
                <ui:param name="id" value="countryinput"/>
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.CountryCode']}
                </ui:define>
                <h:inputText styleClass="form-control" value="#{addrToEdit.countryCode}" id="countryinput"/>
            </s:decorate>
        </div>
        <div class="col-md-4"></div>
    </div>
</ui:composition>
